<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>INFO-TV - The easy way to reach people</title>
<style type="text/css">
body {
	background-color:#F8F8F8;
}

a:link, a:visited, a:active {
	color:#26BCE2;
	text-decoration:none;
}

a:hover {
	color:#036;
}

table.header {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:80px;
	border:1px solid #000000;
	background-image:url(../images/info-tv_logo.gif);
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:11pt;
	color:#000000;
	text-align:right;
}

table.content {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:auto;
	border-left:1px solid #000000;
	border-right:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
}

table.content_block_blue {
	width:100%;
	height:auto;
	border:3px solid #0099CC;
	border-radius:15px;
}

table.content_forms {
	height:auto;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
	margin-left:0px;
}

table.footer {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:25px;
	border:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:center;
}

input {
	border:1px solid #000000;
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#00F;
}

input.submitbutton {
	border:1px solid #000000;
	border-radius:15px;
	background-image:url(../images/green_line.gif);
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#FFFFFF;
}

input.resetbutton {
	border:1px solid #000000;
	border-radius:15px;
	background-image:url(../images/red_line.gif);
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#FFFFFF;
}
</style>
</head>

<body>

<?php

//////////////////////////////
// INFO-TV Control Panel    //
// Date: 17.5.2010          //
// Updated: 01.04.2024      //
// Programmer: Håkon Hassel //
//////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// Setting up default variable //
$error = false;


// Getting data from cookies //
if(!isset($_COOKIE['username']))
{
	$_COOKIE['username'] = NULL;
}

if(!isset($_COOKIE['password']))
{
	$_COOKIE['password'] = NULL;
}

$username = $_COOKIE['username'];
$password = $_COOKIE['password'];


// Verifying content from COOKIES //
if($username == NULL)
{
	$error = true;
	$error_username = "No username entered!";
}
if($password == NULL)
{
	$error = true;
	$error_password = "No password entered!";
}



// Getting MySQL-settings //
require("../mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (mysql_error());
mysqli_select_db($link, $mysql_database) or die (mysql_error());
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (mysql_error());


// Removing special chars that can disable MySQL-security //
$username = mysqli_escape_string($link, $username);
$password = mysqli_escape_string($link, $password);


// Validating user account //
if($username > NULL and $password > NULL)
{
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$rows = mysqli_num_rows($result);

	if($rows > 0)
	{
		$data = mysqli_fetch_array($result);
		if($data['password'] != $password)
		{
			$error = true;
			$error_password = "Authentication failed: password not valid!";
		}
	}
	else
	{
		$error = true;
		$error_username = "Authentication failed: no account found!";
	}
}

if($error == false)
{
	
	// Getting the full name of the account holder //
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data = mysqli_fetch_array($result);
	$fullname = $data['fullname'];
	
	
	// Getting settings //
	$SQL = "SELECT * FROM settings WHERE id=1 LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data = mysqli_fetch_array($result);
	
	$external_adn = $data['external_adn'];
	$country = $data['country'];
	
	
	// Printing the control panel document //

print '<!-- Header -->
<table class="header">
<tr>
<td style="margin-right:10px;">'.$fullname.'</td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="vertical-align:top;"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strCp_headline.'</span><hr /><br />


<!-- Block one -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strCp_subheading_adn.'</span>
<table class="content_block_blue">
<tr>
<td>'.$strCp_infotext_adn.'
<br /><br />
<table class="content_forms">
<form action="alter_adn.php" method="post" name="form1">
<tr>
<td>'.$strCp_forms_adn_country.'</td>
<td><input name="country" type="text" size="15" value="'.$country.'" /> '.$strCp_infotext_adncountries.' <a href="http://www.info-tv.org?p=adn_countries" target="_blank">http://www.info-tv.org?p=adn_countries</a></td>
</tr>
<tr>
<td>'.$strCp_forms_adn_enabled.'</td>
<td>'; if($external_adn == "on"){ print '<input name="external_adn" type="checkbox" value="on" checked />';}else{ print '<input name="external_adn" type="checkbox" value="on" />';} print '</td>
</tr>
<tr>
<td><br /><input name="submit" type="submit" class="submitbutton" value="'.$strCp_forms_adn_submitbtn.'" /></td>
</tr>
</form>
</table>

</td>
</tr>
</table>
<br />
<br />


<script language="javascript">

function Go_back()

{
	window.location="admin_cp.php";
}
</script>
<input name="submit" type="button" class="submitbutton" value="'.$strCp_forms_adn_backbtn.'" onClick="Go_back()" />

<br />
<br />
</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>';

}
else
{
	print "<p>$error_username<br />$error_password</p>";
}

?>
</body>
</html>