<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="refresh" content="1;url=admin_cp.php" />
<title>INFO-TV - The easy way to reach people</title>
</head>

<body>
<?php

////////////////////////////////////
// INFO-TV News processing script //
// Date: 24rd of February 2008    //
// Last updated: 01.04.2024       //
// Programmer: Håkon Hassel       //
////////////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// Setting up default variable //
$error = false;

// Getting data from cookies //
if(!isset($_COOKIE['username']))
{
	$_COOKIE['username'] = NULL;
}

if(!isset($_COOKIE['password']))
{
	$_COOKIE['password'] = NULL;
}

$username = $_COOKIE['username'];
$password = $_COOKIE['password'];


// Verifying content from COOKIES //
if($username == NULL)
{
	$error = true;
	$error_username = "No username entered!";
}
if($password == NULL)
{
	$error = true;
	$error_password = "No password entered!";
}



// Getting MySQL-settings //
require("../mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (mysqli_error($link));
mysqli_select_db($link, $mysql_database) or die (mysqli_error($link));
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Removing special chars that can disable MySQL-security //
$username = mysqli_escape_string($link, $username);
$password = mysqli_escape_string($link, $password);


// Validating user account //
if($username > NULL and $password > NULL)
{
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$rows = mysqli_num_rows($result);

	if($rows > 0)
	{
		$data = mysqli_fetch_array($result);
		if($data['password'] != $password)
		{
			$error = true;
			$error_password = "Authentication failed: password not valid!";
		}
	}
	else
	{
		$error = true;
		$error_username = "Authentication failed: no account found!";
	}
}


// If there is no error, proceed. If there is an error, print error message //
if($error == false)
{
	// Getting data from HTTP POST form //
	if(!isset($_POST['headline']))
	{
		$_POST['headline'] = NULL;
	}

	if(!isset($_POST['text']))
	{
		$_POST['text'] = NULL;
	}

	if(!isset($_POST['picture']))
	{
		$_POST['picture'] = NULL;
	}

	if(!isset($_POST['newsid']))
	{
		$_POST['newsid'] = NULL;
	}

	if(!isset($_POST['keep_picture']))
	{
		$_POST['keep_picture'] = NULL;
	}

	if(!isset($_POST['status']))
	{
		$_POST['status'] = NULL;
	}
	
	if(!isset($_POST['display']))
	{
		$_POST['display'] = NULL;
	}

	
	
	$headline     = $_POST['headline'];
	$text         = $_POST['text'];
	$picture      = $_POST['picture'];
	$newsid       = $_POST['newsid'];
	$keep_picture = $_POST['keep_picture'];
	$status       = $_POST['status'];
	$display      = $_POST['display'];
	
	
	// Converting special chars to HTML-format //
	$headline = htmlspecialchars($headline);
	$text = htmlspecialchars($text);
	$headline = mysqli_escape_string($link, $headline);
	$text = mysqli_escape_string($link, $text);
	
	
	// Getting picture name //
	$picture = ''. basename($_FILES['picture']['name']).'';
	
	
	// Avoid the page from hell bug //
	if($newsid == NULL)
	{
		print "$strErrorCp_nonewsid";
	}
	elseif($headline != NULL and $text == NULL and $picture == NULL and $keep_picture != true)
	{
		print "$strErrorCp_notonlytitle";
	}
	elseif($headline == NULL and $text != NULL)
	{
		print "$strErrorCp_notonlytext";
	}
	elseif($headline == NULL and $text == NULL and $picture != NULL and $keep_picture != true)
	{
		print "$strErrorCp_notonlypicture";
	}
	else
	{
	
	
	// Uploading eventually picture //
	if($keep_picture != true)
	{
		if($picture != NULL)
		{
			$ext = strrchr($picture, ".");
			$ext = strtolower($ext);
			$allowed = array(".jpg", ".jpeg", ".bmp", ".png", ".gif");
			
			$i=0;
			$error=true;
			while($i < count($allowed))
			{
    			if($ext == $allowed[$i])
				{
					$error=false;
					break;
				}
    			$i++;
			}
		
			if($error)
			{
				die(''.$strErrorCp_fileformat.' '.$ext.'');
			}
			
			
			$dest = "../images/uploads/";
			$randomid = md5(uniqid());
			$dest = ''.$dest.''.$randomid.''.$ext.'';
			move_uploaded_file($_FILES['picture']['tmp_name'], $dest);
			$picture = ''.$randomid.''.$ext.'';
		}
	}
	

		// Adding br to newstext //
		$text = nl2br($text);
	
	
		// Adding data to MySQL //
		$SQL = "UPDATE news SET headline=('$headline') WHERE id='$newsid' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
		$SQL = "UPDATE news SET text=('$text') WHERE id='$newsid' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
		if($keep_picture != true)
		{
			$SQL = "SELECT * FROM news WHERE id='$newsid' LIMIT 1";
			$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
			$data = mysqli_fetch_array($result);
			$picture_to_delete = $data['picture'];
			if($picture_to_delete != NULL)
			{
				unlink("../images/uploads/$picture_to_delete");
			}
			
			$SQL = "UPDATE news SET picture=('$picture') WHERE id='$newsid' LIMIT 1";
			$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
		}
		
		if($headline == NULL and $text == NULL and $picture == NULL)
		{
			$SQL = "SELECT * FROM news WHERE id='$newsid' LIMIT 1";
			$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
			$data = mysqli_fetch_array($result);
			$picture_to_delete = $data['picture'];
			if($picture_to_delete != NULL)
			{
				unlink("../images/uploads/$picture_to_delete");
			}
			
			$SQL = "UPDATE news SET picture=('') WHERE id='$newsid' LIMIT 1";
			$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
		}
		
		if($status == "active")
		{
			$SQL = "UPDATE news SET status=('active') WHERE id='$newsid' LIMIT 1";
			$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
		}
		else
		{
			$SQL = "UPDATE news SET status=('inactive') WHERE id='$newsid' LIMIT 1";
			$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
		}
		
		
		// Update news with display information //
		if($display == NULL)
		{
			$display = "all";
		}
		$SQL = "UPDATE news SET display=('$display') WHERE id='$newsid' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


		// Update last change timestamp //
		$timestamp = date("dmYHis");
		$SQL = "UPDATE info SET last_change=('$timestamp') WHERE id='1' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
		
	
		// Printing result to user //
		print '<br /><br /><br /><br /><br /><br /><br /><br /><br />
<p align="center"><span style="font-family:Verdana; font-size:16pt; color:#0000FF;">'.$strCp_updated.'</span></p>';
	}
	
}
else
{
	print "<p>$error_username<br />$error_password</p>";
}

?>
</body>
</html>