<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="refresh" content="1;url=admin_cp.php" />
<title>INFO-TV - The easy way to reach people</title>
</head>

<body>
<?php

//////////////////////////////////////////
// INFO-TV Poll processing script       //
// Date: 24rd of February 2008          //
// Last updated: 01.04.2024             //
// Programmer: Håkon Hassel             //
//////////////////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// Setting up default variable //
$error = false;
$poll_reset = false;

// Getting data from cookies //
if(!isset($_COOKIE['username']))
{
	$_COOKIE['username'] = NULL;
}

if(!isset($_COOKIE['password']))
{
	$_COOKIE['password'] = NULL;
}

$username = $_COOKIE['username'];
$password = $_COOKIE['password'];


// Verifying content from COOKIES //
if($username == NULL)
{
	$error = true;
	$error_username = "No username entered!";
}
if($password == NULL)
{
	$error = true;
	$error_password = "No password entered!";
}



// Getting MySQL-settings //
require("../mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (mysqli_error($link));
mysqli_select_db($link, $mysql_database) or die (mysqli_error($link));
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Removing special chars that can disable MySQL-security //
$username = mysqli_escape_string($link, $username);
$password = mysqli_escape_string($link, $password);


// Validating user account //
if($username > NULL and $password > NULL)
{
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$rows = mysqli_num_rows($result);

	if($rows > 0)
	{
		$data = mysqli_fetch_array($result);
		if($data['password'] != $password)
		{
			$error = true;
			$error_password = "Authentication failed: password not valid!";
		}
	}
	else
	{
		$error = true;
		$error_username = "Authentication failed: no account found!";
	}
}


// If there is no error, proceed. If there is an error, print error message //
if($error == false)
{
	// Getting data from HTTP POST form ... But verify that the variables are declared first //
	if(!isset($_POST['question']))
	{
		$_POST['question'] = NULL;
	}

	if(!isset($_POST['alternative1']))
	{
		$_POST['alternative1'] = NULL;
	}

	if(!isset($_POST['alternative2']))
	{
		$_POST['alternative2'] = NULL;
	}

	if(!isset($_POST['alternative3']))
	{
		$_POST['alternative3'] = NULL;
	}

	if(!isset($_POST['poll_reset']))
	{
		$_POST['poll_reset'] = NULL;
	}
	$question     = $_POST['question'];
	$alternative1 = $_POST['alternative1'];
	$alternative2 = $_POST['alternative2'];
	$alternative3 = $_POST['alternative3'];
	$poll_reset   = $_POST['poll_reset'];
	
	
	// Converting special chars to HTML-format //
	$question = htmlspecialchars($question);
	$alternative1 = htmlspecialchars($alternative1);
	$alternative2 = htmlspecialchars($alternative2);
	$alternative3 = htmlspecialchars($alternative3);
	$question = mysqli_escape_string($link, $question);
	$alternative1 = mysqli_escape_string($link, $alternative1);
	$alternative2 = mysqli_escape_string($link, $alternative2);
	$alternative3 = mysqli_escape_string($link, $alternative3);
	
	
	// Updating poll in MySQL //
	$SQL = "UPDATE poll SET question=('$question') WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
	$SQL = "UPDATE poll SET alternative1=('$alternative1') WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
	$SQL = "UPDATE poll SET alternative2=('$alternative2') WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
	$SQL = "UPDATE poll SET alternative3=('$alternative3') WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
	if($poll_reset == true)
	{
		$SQL = "UPDATE poll SET answer1=('1') WHERE id='1' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
		$SQL = "UPDATE poll SET answer2=('1') WHERE id='1' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
		$SQL = "UPDATE poll SET answer3=('1') WHERE id='1' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
		
		// Emptying poll_sms //
		$SQL = "SELECT * FROM poll_sms";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
		$rows = mysqli_num_rows($result);
		
		$i=0;
		while($rows > $i)
		{
			$data = mysqli_fetch_array($result);
			$id = $data['id'];

			$SQL = "DELETE FROM `poll_sms` WHERE id='$id'";
			mysqli_query($link, $SQL) or die (mysqli_error($link));
		$i++;
		}
		
		$SQL = "TRUNCATE TABLE `poll_sms`";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	}


		// Update last change timestamp //
		$timestamp = date("dmYHis");
		$SQL = "UPDATE info SET last_change=('$timestamp') WHERE id='1' LIMIT 1";
		$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
	
	// Printing result to user //
	print '<br /><br /><br /><br /><br /><br /><br /><br /><br />
<p align="center"><span style="font-family:Verdana; font-size:16pt; color:#0000FF;">'.$strCp_updated.'</span></p>';
}
else
{
	print "<p>$error_username<br />$error_password</p>";
}

?>

</body>
</html>