<?php

//////////////////////////////
// INFO-TV Login Script     //
// Date: 24.02.2008         //
// Updated: 01.04.2024      //
// Programmer: Håkon Hassel //
//////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// Setting up default variable //
$error = false;
$error_username = NULL;
$error_password = NULL;


// Getting data from HTTP POST form //
if(!isset($_POST['username']))
{
	$username = $_POST['username'] = NULL;
}

if(!isset($_POST['password']))
{
	$_POST['password'] = NULL;
}

if(!isset($_GET['other']))
{
	$_GET['other'] = NULL;
}

$username    = $_POST['username'];
$password    = $_POST['password'];
$other    	 = $_GET['other'];


// Verifying content of HTTP POST form //
if($username == NULL)
{
	$error = true;
	$error_username = "No username entered!";
}
if($password == NULL)
{
	$error = true;
	$error_password = "No password entered!";
}


// Getting MySQL-settings //
require("../mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (mysqli_error($link));
mysqli_select_db($link, $mysql_database) or die (mysqli_error($link));
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Removing special chars that can disable MySQL-security //
$username = mysqli_escape_string($link, $username);
$password = mysqli_escape_string($link, $password);


// Converting password to MD5 //
$password = md5($password);


// Validating user account //
if($username > NULL and $password > NULL)
{
	$SQL = "SELECT * FROM accounts WHERE username='$username' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$rows = mysqli_num_rows($result);

	if($rows > 0)
	{
		$data = mysqli_fetch_array($result);
		if($data['password'] != $password)
		{
			$error = true;
			$error_password = "Authentication failed: password not valid!";
		}
	}
	else
	{
		$error = true;
		$error_username = "Authentication failed: no account found!";
	}
}

if($other == "owner")
{
	print "INFO-TV er et prosjekt av Håkon Hassel! Systemet er gratis og kan IKKE videreselges. www.info-tv.org";
}


// Setting up cookies, or printing error page //
if($error == false)
{
	setcookie("username", $username);
	setcookie("password", $password);
	
	print '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="refresh" content="1;url=admin_cp.php" />
<title>INFO-TV - The easy way to reach people</title>
</head>

<body>
<br />
<br />
<br />
<br />
<br />
<br />
<p align="center"><span style="font-family: Verdana; font-size:18pt; color:#0000FF;">'.$strLogin_infotext_wait.'</span></p>
</body>
</html>';
}
else
{
	print '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>INFO-TV - The easy way to reach people</title>
<style type="text/css">
body {
	background-color:#F8F8F8;
}

table.header {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:80px;
	border:1px solid #000000;
	background-image:url(../images/info-tv_logo.gif);
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:11pt;
	color:#000000;
	text-align:right;
}

table.content {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:auto;
	border-left:1px solid #000000;
	border-right:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
}

table.content_block_blue {
	width:100%;
	height:auto;
	border:3px solid #0099CC;
	border-radius:15px;
}

table.content_forms {
	height:auto;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
	margin-left:0px;
}

table.footer {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:25px;
	border:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:center;
}

input {
	border:1px solid #000000;
	border-radius:5px;
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#00F;
}

input.submitbutton {
	border:1px solid #000000;
	border-radius:15px;
	background-image:url(../images/green_line.gif);
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#FFFFFF;
}

input.resetbutton {
	border:1px solid #000000;
	border-radius:15px;
	background-image:url(../images/red_line.gif);
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#FFFFFF;
}
</style>

<script type="text/javascript">
function placefocus() {
	document.form1.username.focus();
}
</script>
</head>

<body onload="placefocus();">
<!-- Header -->
<table class="header">
<tr>
<td></td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="vertical-align:top;"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strLogin_headline.'</span><hr /><br />


<!-- Block one -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strLogin_subheading_login.'</span>
<table class="content_block_blue">
<tr>
<td><span style="color:#F00;">'.$strLogin_infotext_howto.'</span><br /></td>
</tr>
<tr>
<td>

<table class="content_forms">
<form action="do_login.php" method="post" name="form1">
<tr>
<td>'.$strLogin_forms_username.'</td>
<td><input name="username" type="text" size="38" /></td>
</tr>
<tr>
<td>'.$strLogin_forms_password.'</td>
<td><input name="password" type="password" size="38" /></td>
</tr>
<tr>
<td><input name="submit" type="submit" class="submitbutton" value="'.$strLogin_forms_submitbtn.'" /></td>
</tr>
</form>
</table>

</td>
</tr>
<tr>
<td><span style="color:#F00;"><b>'.$error_username.' '.$error_password.'</b></span></td>
</tr>
</table>
<br />
<br />


</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>
</body>
</html>';
}

?>