<?php


////////////////////////////////////////////////
// Welcome to                             	  //
// INFO-TV.ORG - The easy way to reach people //
// Created by Håkon Hassel 2006 - 2024        //
// Last updated on: 6th of April 2024         //
// Programmer: Håkon Hassel                   //
////////////////////////////////////////////////


// Getting MySQL-settings //
require("mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die ('The MySQL-connection is broken! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=top.php" />');
mysqli_select_db($link, $mysql_database) or die ('The MySQL-connection is broken! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=top.php" />');
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die ('The MySQL-connection is broken! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=top.php" />');


// Getting organization name //
$SQL = "SELECT * FROM settings";
$result = mysqli_query($link, $SQL) or die ('The MySQL-connection is broken! Trying to reconnect now... <meta http-equiv="refresh" content="5;url=top.php" />');
$data = mysqli_fetch_array($result);
$organization_name = $data['organization_name'];


?>


<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>INFO-TV.ORG - The easy way to reach people</title>
<style type="text/css">

html {
	overflow:hidden;
	background: linear-gradient(to bottom right, #0099CC, #82DFFF);
	height:2000px;
}

div.top {
	height:70px;
	width:100%;
	position:fixed;
	left:0px;
	top:0px;
	background-color:#000;

	padding-top:10px;
	padding-left:8px;

	margin-top:0px;
	font-family:Trebuchet MS, Verdana;
	font-size:40px;
	color:#FFFFFF;
	font-weight:bold;
}

span.topclock {
	background-color:#000;
	margin-top:0px;
	font-family:Trebuchet MS, Verdana;
	font-size:40px;
	color:#FFFFFF;
	font-weight:bold;
	position:fixed;
	right:10px;
}

div.middle {
	height:100%;
	width:100%;
	top:70px;
	left:0px;
	position:fixed;

	height: 2000px;
    background: linear-gradient(to bottom right, #0099CC, #82DFFF);
}

div.bottom {
	height:70px;
	width:100%;
	position:fixed;
	left:0px;
	bottom:0px;
	background-color:#000;

	padding-top:15px;
}

</style>

<script type="text/javascript">

function fullScreen() {

	var i = document.documentElement;

	if(i.requestFullscreen) {
		i.requestFullscreen();
	}
	else if (i.webkitRequestFullscreen) {
		i.webkitRequestFullscreen();
	}
	else if (i.mozRequestFullScreen) {
		i.mozRequestFullScreen();
	}
	else if (i.msRequestFullscreen) {
		i.msRequestFullscreen();
	}

	checkConn();
	setInterval('updateClock()', 1000 );
	setInterval('checkConn()', 900000 );
	setInterval('checkForChange()', 60000);
}

function updateClock() {

	// Loading the local Date-object from the enduser computer //
	var currentTime = new Date ( );
	
	// Extracting hours, minutes, and seconds from the Date-object //	
	var currentHours   = currentTime.getHours();
	var currentMinutes = currentTime.getMinutes();
	var currentSeconds = currentTime.getSeconds();
	
	// Giving leading zeros to minutes and seconds when required //
	currentHours   = (currentHours  == "0"  ? "0" : "") + currentHours;
	currentMinutes = (currentMinutes < "10" ? "0" : "") + currentMinutes;
	currentSeconds = (currentSeconds < "10" ? "0" : "") + currentSeconds;
	
	// Building the string of data to display //
	var currentTimeString = currentHours + ":" + currentMinutes + ":" + currentSeconds;
	
	// Keeping the "clock" element updated every second with currentTimeString //
	document.getElementById("clock").firstChild.nodeValue = currentTimeString;
}


function checkConn()
{
	document.getElementById("info-tv").innerHTML='<!-- Top --><div class="top"><span style="margin-top:0; font-family:Trebuchet MS, Verdana; font-size:35px; color:#FFFFFF; font-weight:bold;">INFO-TV</span></div><!-- Middle --><div class="middle"><span style="font-family:Trebuchet MS, Verdana; font-size:40px; color:#000;"<?php require("lang/current-language.inc.php"); print $strError_server_lost_connection; ?></span></div><!-- Bottom --><div class="bottom"></div>';
	xmlhttpConn=new XMLHttpRequest();
	xmlhttpConn.onreadystatechange=function()
  	{
  		if (xmlhttpConn.readyState==4 && xmlhttpConn.status==200)
    	{
			var response=xmlhttpConn.responseText;
			if(response == 1)
			{
    			document.getElementById("info-tv").innerHTML='<!-- Top --><div class="top"><?php print ''.$organization_name.' INFO-TV'; ?><span class="topclock" id="clock">&nbsp;</span></div><!-- Middle --><div class="middle"><iframe id="content" style="border:0px; height:100%; width:100%;" src="middle.php<?php if(!isset($_GET['display'])) { $_GET['display'] = NULL; } $display = $_GET['display']; if($display != NULL) { print '?display='.$display.''; } ?>" sandbox="allow-scripts"></iframe></div><!-- Bottom --><div class="bottom"><iframe style="border:0px; height:50px; width:100%;" src="bottom.php" sandbox="allow-scripts"></iframe></div>';
			}
    	}
  	}
	xmlhttpConn.open("GET","ping.php?t="+ Math.random(),true);
	xmlhttpConn.send();
}


function checkForChange() {
	xmlhttpChange=new XMLHttpRequest();
	xmlhttpChange.onreadystatechange=function() {
  		if (xmlhttpChange.readyState==4 && xmlhttpChange.status==200)
    	{
			var response=xmlhttpChange.responseText;
			var last_change=sessionStorage.last_change;
			if(response != last_change)
			{
    			var x = document.getElementById("content");
    			x.src = "middle.php<?php if(!isset($_GET['display'])) { $_GET['display'] = NULL; } $display = $_GET['display']; if($display != NULL) { print '?display='.$display.'&random='; } else { print '?random='; } ?>" + Math.random();
    			sessionStorage.last_change = response;
			}
    	}
  	}
	xmlhttpChange.open("GET","last_change.php?t="+ Math.random(),true);
	xmlhttpChange.send();
}

</script>

</head>

<body>
<span id="info-tv"><div style="width:904px; margin-left:auto; margin-right:auto;"><img src="images/info-tv_logo.gif" style="border-radius:6px;"></div><br><br><br><br><div style="width:340px; margin-left:auto; margin-right:auto;"><input type="button" name="EnableFullscreen" value="Launch INFO-TV" style="width:340px; border-radius:10px; font-family: Verdana; font-size: 25pt; font-weight:bold; color:#000; background-color:#FFFFFF;" onClick="fullScreen();"></div></span>
</body>

</html>