<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>INFO-TV - Vote</title>
<style type="text/css">
body {
	background-color:#F8F8F8;
}

table.header {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:80px;
	border:1px solid #000000;
	background-image:url(../images/info-tv_logo.gif);
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:24pt;
	color:#000000;
	text-align:right;
}

table.content {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:auto;
	border-left:1px solid #000000;
	border-right:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
}

table.content_block_blue {
	width:100%;
	height:auto;
	border:3px solid #0099CC;
}

table.content_forms {
	height:auto;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:left;
	margin-left:0px;
}

table.footer {
	width:900px;
	margin-left:auto;
	margin-right:auto;
	height:25px;
	border:1px solid #000000;
	
	font-family:Tahoma, Geneva, sans-serif;
	font-size:10pt;
	color:#000000;
	text-align:center;
}

input.submitbtn {
	border:1px solid #000000;
	border-radius:8px;
	background-color:#10AD09;
	font-family:Tahoma, Geneva, sans-serif;
	font-size:16pt;
	color:#FFFFFF;
}
</style>
</head>

<body>
<?php

///////////////////////////////
// INFO-TV Vote System       //
// Date: 17.02.2008          //
// Updated: 01.04.2024       //
// Programmer: Håkon Hassel  //
///////////////////////////////


// Loading language support file //
require("../lang/current-language.inc.php");


// If user have taken the poll before, he would not get access to vote again in this session //
session_start();
if(!isset($_SESSION['takenbefore']))
{
	$_SESSION['takenbefore'] = NULL;
}
$takenbefore = $_SESSION['takenbefore'];
if($takenbefore == "true")
{
	print '<!-- Header -->
<table class="header">
<tr>
<td></td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="vertical-align:top;"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strPoll.'</span><hr /><br />

<!-- Block one -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strVote_subheading_result.'</span>
<table class="content_block_blue">
<tr>
<td>
<br />
'.$strVote_infotext_alreadyvoted.'
<br />
<br />
</td>
</tr>
</table>

</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>';
	exit;
}


// Getting data from HTTP POST form //
if(!isset($_POST['answer']))
{
	$_POST['answer'] = NULL;
}

$answer  = $_POST['answer'];


// Connecting MySQL-server //
require("../mysql_settings.php");

// Connecting to MySQL-server //
$link = mysqli_connect($mysql_server,$mysql_username,$mysql_password) or die (mysqli_error($link));
mysqli_select_db($link, $mysql_database) or die (mysqli_error($link));
$SQL = "$mysql_charset";
$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


// Verifying answer //
if($answer == NULL)
{
	// Getting question and alternatives from MySQL-table //
	$SQL = "SELECT * FROM poll WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	$data = mysqli_fetch_array($result);
	
	
	// Printing vote page to user //
	print '<!-- Header -->
<table class="header">
<tr>
<td></td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="vertical-align:top;"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strPoll.'</span><hr /><br />

<!-- Block one -->
<form action="index.php" method="post" name="form1">
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$data['question'].'</span>
<table class="content_block_blue">
<tr>
<td>

<table class="content_forms">
<tr>
<td><input name="answer" type="radio" value="answer1" /> '.$data['alternative1'].'</td>
</tr>

<tr>
<td><input name="answer" type="radio" value="answer2" /> '.$data['alternative2'].'</td>
</tr>

<tr>
<td><input name="answer" type="radio" value="answer3" /> '.$data['alternative3'].'</td>
</tr>
</table>

</td>
</tr>
</table>
<br />
<br />
<input name="submit" type="submit" value="'.$strVote_forms_submitbtn.'" class="submitbtn" />
</form>


</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>';
}
else
{

	// Saving result to database //	
	$SQL = "UPDATE poll SET $answer=($answer + 1)";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));


	// Update last change timestamp //
	$timestamp = date("dmYHis");
	$SQL = "UPDATE info SET last_change=('$timestamp') WHERE id='1' LIMIT 1";
	$result = mysqli_query($link, $SQL) or die (mysqli_error($link));
	
	
	// Updating SESSION with the server //
	$_SESSION['takenbefore'] = "true";
	
	
	// Printing thank you page to user //
	print '<!-- Header -->
<table class="header">
<tr>
<td></td>
</tr>
</table>

<!-- Content -->
<table class="content">
<tr>
<td style="vertical-align:top;"><span style="font-family:Tahoma, Geneva, sans-serif; font-size:21pt; color:#000000;">'.$strPoll.'</span><hr /><br />

<!-- Block one -->
<span style="font-family:Tahoma, Geneva, sans-serif; font-size:13pt; color:#000000;">'.$strVote_subheading_result.'</span>
<table class="content_block_blue">
<tr>
<td>
<br />
'.$strVote_infotext_thankyou.'
<br />
<br />
</td>
</tr>
</table>

</td>
</tr>
</table>

<!-- Footer -->
<table class="footer">
<tr>
<td>'.$strCopyright.' &copy; INFO-TV.ORG 2006 - 2024</td>
</tr>
</table>';

}

?>
</body>
</html>